Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000365 [Piwigo] other major always 2006.05.03 09:10 2006.05.15 23:31
Reporter Dudu View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.6.0RC2 Product Version 1.6.0RC1
  Target Version Product Build
Summary 0000365: Sous-categories limitées à 255
Description Le nombre de sous-catégories est limité à 255 (quelque soit la version de PHPwebgallery).
Au delà de la 255 ème sous-catégorie (donc à partir de la 256ème), elles sont toutes numérotées 2550, et il est impossible de les classer selon notre choix ou d'en faire un tris alphabétique automatique.

Augmenter le nombre de sous-catégories serait appréciable et, je pense pas trop compliqué à mettre en oeuvre.

Merci.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version 5.0.21
PHP version 4.3.10
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000914)
plg (manager)
2006.05.04 12:18

Je confirme, le champ #categories.rank est un unsigned tinyint, donc limité à une valeur de 255. Je passerai ce champs à smallint, repoussant la limite à 65535 :-)
(0000955)
plg (manager)
2006.05.15 23:31
edited on: 2006.10.09 16:46

- corrected on branch 1.6 [Subversion] r1311
- reported on trunk [Subversion] r1312


- Issue History
Date Modified Username Field Change
2006.05.03 09:10 Dudu New Issue
2006.05.03 09:10 Dudu browser => any
2006.05.03 09:10 Dudu MySQL version => 5.0.21
2006.05.03 09:10 Dudu PHP version => 4.3.10
2006.05.03 09:10 Dudu Web server => Apache 1.3.x
2006.05.04 12:18 plg Note Added: 0000914
2006.05.04 12:18 plg Assigned To => plg
2006.05.04 12:18 plg Status new => assigned
2006.05.15 23:31 plg Note Added: 0000955
2006.05.15 23:31 plg Status assigned => closed
2006.05.15 23:31 plg Resolution open => fixed
2006.05.15 23:31 plg Fixed in Version => 1.6.0RC2
2006.10.09 16:45 plg Note Edited: 0000955
2006.10.09 16:46 plg Note Edited: 0000955


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker